[Remind-Fans] Preparing for 3.3.10

Larry Hynes larry at larryhynes.com
Fri Nov 19 16:33:22 EST 2021


Hi

Dianne Skoll via Remind-fans <remind-fans at lists.skoll.ca> wrote:
> Hi,
> 
> I'm preparing Remind 3.3.10 for release.  If anyone would like to test
> out the git version prior to the release, please do so... it can be
> cloned from https://git.skoll.ca/Skollsoft-Public/Remind

The only issue that I've noticed recently is in regard to the install
of rem2html. configure seems to pick up /usr/bin/perl, but the
Makefile that is generated in the rem2html directory errors out on
what seems like it could be a bogus test expression or something.

Output of `./configure...`, and `make install` follows, along with
the generated Makefile.

Script started on Fri Nov 19 21:26:30 2021

**********************
*                    *
* Configuring REMIND *
*                    *
**********************

checking for gcc... no
checking for cc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking whether make sets $(MAKE)... yes
checking for perl... /usr/bin/perl
checking for sqrt in -lm... yes
checking how to run the C preprocessor... cc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking size of unsigned short... 2
checking size of unsigned int... 4
checking size of unsigned long... 8
checking for sys/types.h... (cached) yes
checking sys/file.h usability... yes
checking sys/file.h presence... yes
checking for sys/file.h... yes
checking glob.h usability... yes
checking glob.h presence... yes
checking for glob.h... yes
checking wctype.h usability... yes
checking wctype.h presence... yes
checking for wctype.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for utime.h... yes
checking whether utime accepts a null argument... yes
checking whether time.h and sys/time.h may both be included... yes
checking for setenv... yes
checking for unsetenv... yes
checking for glob... yes
checking for mbstowcs... yes
checking for setlocale... yes
checking for initgroups... yes
configure: creating ./config.status
config.status: creating src/Makefile
config.status: creating www/Makefile
config.status: creating src/version.h
config.status: creating rem2html/Makefile
config.status: creating src/config.h

Script done on Fri Nov 19 21:26:37 2021
Script started on Fri Nov 19 21:26:45 2021

*******************
*                 *
* Building REMIND *
*                 *
*******************

cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. calendar.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. dynbuf.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. dorem.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. dosubst.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. expr.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. files.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. funcs.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. globals.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. hbcal.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. init.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. main.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. md5.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. moon.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. omit.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. queue.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. sort.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. token.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. trigger.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. userfns.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. utils.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. var.c
cc   -o remind calendar.o dynbuf.o dorem.o dosubst.o expr.o files.o funcs.o globals.o hbcal.o init.o main.o md5.o moon.o omit.o queue.o sort.o token.o trigger.o userfns.o utils.o var.o -lm 
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. rem2ps.c
cc -c  -g -O2 -Wall -Wextra -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. json.c
cc   -o rem2ps rem2ps.o dynbuf.o json.o -lm

Script done on Fri Nov 19 21:26:56 2021
Script started on Fri Nov 19 21:27:04 2021

*********************
*                   *
* Installing REMIND *
*                   *
*********************

mkdir -p /home/larry/local/bin || true
for prog in remind rem2ps ./../scripts/tkremind ; do  /usr/bin/install -c $prog /home/larry/local/bin || exit 1;  done
rm -f /home/larry/local/bin/rem > /dev/null 2>&1 || true
ln -s remind /home/larry/local/bin/rem
mkdir -p /home/larry/local/share/man/man1 || true
for man in ./../man/rem2ps.1 ./../man/remind.1  ./../man/tkremind.1 ./../man/rem.1 ; do   /usr/bin/install -c -m 644 $man /home/larry/local/share/man/man1 || exit 1;  done
strip /home/larry/local/bin/remind || true
strip /home/larry/local/bin/rem2ps || true
*** Error 2 in rem2html (Makefile:24 'install': @if test "/usr/bin/perl" = "" ; then  echo "Not installing rem2html; Perl is required"; exit...)
*** Error 2 in /home/larry/src/Remind (Makefile:22 'install': @make -C rem2html install)

Script done on Fri Nov 19 21:27:04 2021


# Set by configure - don't touch.
srcdir=.
prefix=/home/larry/local
exec_prefix=${prefix}
mandir=/home/larry/local/share/man
bindir=${exec_prefix}/bin
datadir=${datarootdir}
datarootdir=${prefix}/share
PERL=/usr/bin/perl
PERLMODS_NEEDED=JSON::Any Getopt::Long
all:
	true

install:
	@if test "$(PERL)" = "" ; then \
	    echo "Not installing rem2html; Perl is required"; exit 0; fi; \
	 for m in $(PERLMODS_NEEDED) ; \
         do \
	    perl -M$$m -e 1 > /dev/null 2>&1; \
	    if test $$? != 0 ; then echo "Not installing rem2html; missing $$m"; exit 0; fi; \
	done; \
	echo "Installing rem2html in $(DESTDIR)$(bindir)"; \
	mkdir -p $(DESTDIR)$(bindir) && sed -e 's|^#!perl|#!$(PERL)|' < rem2html > $(DESTDIR)$(bindir)/rem2html && chmod 755 $(DESTDIR)$(bindir)/rem2html && exit 0; \
	exit 1;




More information about the Remind-fans mailing list